#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2500six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 2500"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six25004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six25004xi = {
                1:'-1005x2153y-775z',
                2:'-1022x1214y-1931z',
                3:'-1071x1145y-1947z',
                4:'-1079x2092y-840z',
                5:'-1113x2090y-799z',
                6:'-1115x1073y-1962z',
                7:'-1155x1001y-1978z',
                8:'-1183x2025y-863z',
                9:'-1190x927y-1993z',
                10:'-1216x2022y-823z',
                11:'-1220x852y-2008z',
                12:'-1246x776y-2023z',
                13:'-124x984y-2294z',
                14:'-1258x42y-2159z',
                15:'-1267x700y-2037z',
                16:'-1276x109y-2146z',
                17:'-1283x1953y-887z',
                18:'-1284x623y-2052z',
                19:'-1289x179y-2134z',
                20:'-1296x547y-2066z',
                21:'-1299x250y-2120z',
                22:'-1303x472y-2080z',
                23:'-1305x323y-2107z',
                24:'-1306x397y-2094z',
                25:'-1316x1949y-846z',
                26:'-1378x1876y-910z',
                27:'-1411x1870y-870z',
                28:'-1468x1794y-933z',
                29:'-1501x1787y-893z',
                30:'-1554x1708y-956z',
                31:'-1577x1939y-7z',
                32:'-1587x1700y-916z',
                33:'-1634x1617y-979z',
                34:'-1667x1608y-940z',
                35:'-1676x1853y-32z',
                36:'-1709x1523y-1002z',
                37:'-172x953y-2304z',
                38:'-1741x1512y-963z',
                39:'-1771x1763y-57z',
                40:'-1779x1425y-1025z',
                41:'-1810x1413y-986z',
                42:'-1843x1324y-1048z',
                43:'-1860x1667y-82z',
                44:'-1874x1310y-1009z',
                45:'-1900x1220y-1071z',
                46:'-1931x1205y-1032z',
                47:'-1944x1567y-107z',
                48:'-1952x1113y-1093z',
                49:'-1983x1097y-1054z',
                50:'-1998x1005y-1116z',
                51:'-2022x1462y-132z',
                52:'-2038x894y-1138z',
                53:'-2071x782y-1160z',
                54:'-2095x1354y-157z',
                55:'-2098x669y-1182z',
                56:'-2109x1027y-1120z',
                57:'-2118x555y-1204z',
                58:'-2133x441y-1226z',
                59:'-2138x100y-1291z',
                60:'-2141x327y-1248z',
                61:'-2142x213y-1269z',
                62:'-2162x1241y-182z',
                63:'-216x920y-2314z',
                64:'-220x1776y-1745z',
                65:'-2222x1126y-206z',
                66:'-2276x1007y-231z',
                67:'-2323x886y-256z',
                68:'-2364x762y-281z',
                69:'-2398x636y-306z',
                70:'-2424x509y-331z',
                71:'-2444x381y-356z',
                72:'-2457x252y-380z',
                73:'-2463x123y-405z',
                74:'-257x885y-2323z',
                75:'-264x2393y-673z',
                76:'-296x849y-2332z',
                77:'-310x1744y-1763z',
                78:'-331x810y-2341z',
                79:'-343x10y-2476z',
                80:'-363x771y-2350z',
                81:'-367x30y-2472z',
                82:'-387x2369y-697z',
                83:'-389x53y-2468z',
                84:'-392x730y-2358z',
                85:'-397x1708y-1780z',
                86:'-410x78y-2464z',
                87:'-417x688y-2366z',
                88:'-420x2375y-656z',
                89:'-429x105y-2460z',
                90:'-439x646y-2374z',
                91:'-447x134y-2455z',
                92:'-458x603y-2382z',
                93:'-462x166y-2451z',
                94:'-474x560y-2389z',
                95:'-476x199y-2446z',
                96:'-481x1668y-1798z',
                97:'-486x235y-2440z',
                98:'-486x517y-2397z',
                99:'-495x271y-2435z',
                100:'-495x474y-2404z',
                101:'-501x310y-2429z',
                102:'-501x432y-2410z',
                103:'-504x349y-2423z',
                104:'-504x390y-2417z',
                105:'-509x2338y-721z',
                106:'-542x2343y-680z',
                107:'-561x1624y-1815z',
                108:'-629x2301y-745z',
                109:'-639x1575y-1832z',
                110:'-662x2305y-704z',
                111:'-713x1523y-1849z',
                112:'-746x2258y-769z',
                113:'-74x1012y-2284z',
                114:'-779x2260y-728z',
                115:'-783x1467y-1866z',
                116:'-849x1408y-1882z',
                117:'-861x2208y-793z',
                118:'-894x2210y-752z',
                119:'-911x1346y-1899z',
                120:'-968x1281y-1915z',
                121:'-972x2153y-816z'}


#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire2500six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire2500six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2500SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2500SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2500SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2500SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2500SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six25004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2500SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2500SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2500SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six2500x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six2500x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2500SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE2500SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2500SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2500six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
